Skip to main content
POST
/
wires
/
transaction_simulations
/
receiving_return
Simulate receiving Wire transfer return
curl --request POST \
  --url https://api-sandbox.synctera.com/v0/wires/transaction_simulations/receiving_return \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "wire_id": "23a37f14-16eb-461d-9331-b78182adbad4"
}
'
import requests

url = "https://api-sandbox.synctera.com/v0/wires/transaction_simulations/receiving_return"

payload = { "wire_id": "23a37f14-16eb-461d-9331-b78182adbad4" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({wire_id: '23a37f14-16eb-461d-9331-b78182adbad4'})
};

fetch('https://api-sandbox.synctera.com/v0/wires/transaction_simulations/receiving_return', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "file_name": "SIMULATION.20230709T222327.086_221.txt"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Incoming Wire return simulation request

Simulate receiving a returned Wire transfer

wire_id
string<uuid>
required

ID of an outgoing Wire transfer to be returned.

Example:

"23a37f14-16eb-461d-9331-b78182adbad4"

Response

Simulated receiving a Wire transfer return

Incoming Wire simulation result with the created file name

file_name
string
required
Example:

"SIMULATION.20230709T222327.086_221.txt"